Bug 1714788 - Reposync should sync the entire repository to include module information. reposync should download the packages regardless of whether a module is enabled or disabled
Summary: Reposync should sync the entire repository to include module information. rep...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf-plugins-core
Version: 8.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: Marek Blaha
QA Contact: Eva Mrakova
URL:
Whiteboard:
Depends On: 1681085
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-28 20:34 UTC by jcastran
Modified: 2019-11-17 18:49 UTC (History)
7 users (show)

Fixed In Version: dnf-plugins-core-4.0.8-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:22:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:15 UTC

Description jcastran 2019-05-28 20:34:29 UTC
Description of problem:
Packages are only accessible when a specific module or stream is enabled. Reposync is not able to sync the repository because it has to abide by these rules. The workaround would be to enable all modules, sync, then switch to any alternative streams or any remaining un-enabled modules, then sync again. 

This should be a simply run reposync and it syncs the entire repository without having to consider what's missing

Version-Release number of selected component (if applicable):
dnf-utils-4.0.2.2-3.el8.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. reposync --disablerepo="*" --enablerepo="rhel-8-for-x86_64-appstream-rpms"

Actual results:
reposync only downloads packages that are accessible

Expected results:
reposync should download the entire repository to include modules that are not enabled or even disabled

Additional info:

Comment 1 Marek Blaha 2019-06-03 11:31:52 UTC
The other workaround would be to mark the repo as a hotfix repo: add --setopt=repo_id.module_hotfixes=1 switch to command line.

Comment 3 Marek Blaha 2019-06-04 07:07:17 UTC
PR https://github.com/rpm-software-management/dnf-plugins-core/pull/339 fixes the bug. Reposync now should download all the packages of the repo regardless the modules/streams status.

Comment 4 Marek Blaha 2019-06-04 07:51:26 UTC
The corresponding tests are here: https://github.com/rpm-software-management/ci-dnf-stack/pull/550

Comment 11 errata-xmlrpc 2019-11-05 22:22:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.